This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 681814 - No controls to close ksnapshot if run under GNOME 3
No controls to close ksnapshot if run under GNOME 3
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: ksnapshot (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: F23Target-kde
  Show dependency treegraph
 
Reported: 2011-03-03 06:01 EST by David Le Sage
Modified: 2015-08-04 14:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:58:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Le Sage 2011-03-03 06:01:50 EST
Description of problem:
If you run ksnapshot under GNOME 3, there is no button in either the window manager or in the application itself, to close it down. To close ksnapshot, you must hit the esc. key, which might not be obvious to all users.

Version-Release number of selected component (if applicable):
Fedora 15 Alpha RC2

How reproducible:
Every time.

Steps to Reproduce:
1. Launch ksnapshot in GNOME 3.

  
Actual results:
There is no "close window" button in the window manager. There is no exit, close or cancel button in the application.

Expected results:
A GUI control that the user can click on to exit the application.

Additional info:
Comment 1 Kevin Kofler 2011-03-03 06:14:06 EST
Uhm, in 4.5.5 I have a "Quit" button in the bottom right corner of the KSnapshot window, is that not there anymore in 4.6?
Comment 2 Jaroslav Reznik 2011-03-03 07:36:27 EST
(In reply to comment #1)
> Uhm, in 4.5.5 I have a "Quit" button in the bottom right corner of the
> KSnapshot window, is that not there anymore in 4.6?

Indeed, there's no "Quit" button anymore in 4.6 but close button is available in Plasma session, I'll try Gnome 3 one.
Comment 3 Kevin Kofler 2011-03-03 07:59:34 EST
This commit:
http://websvn.kde.org/?view=revision&revision=1150796
removed the Quit button. IMHO it's a bad idea to rely on the window decoration only, as evidenced by this bug, there should always be some UI inside the window to quit the app from.
Comment 4 Fedora End Of Life 2012-08-07 14:58:42 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Kevin Kofler 2012-08-08 15:47:23 EDT
Looks still relevant in 4.8.4 at least.
Comment 6 Rex Dieter 2012-08-08 15:50:05 EDT
setting  keywords, triaging so we avoid autoclose.

Note You need to log in before you can comment on or make changes to this bug.